<?php

namespace Database\Seeders;

use App\Models\DesawarMarket;
use App\Models\DesawarRecord;
use Illuminate\Database\Seeder;

class DesawarRecordSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DesawarMarket::create([
            'name' => 'Test market',
            'api_key_name' => 'abcdefghijklmno',
            'open_time' => '5:00',
            'auto_result' => '6:00',
            'close_time' => '5:00',
            'result_time' => '5:00',
        ]);

        DesawarRecord::factory(10000)->create();
    }
}
